'use strict';

const tableConfig = require('./table-config-8b14c7d3.js');
const viewConfig = require('./view-config-7972654b.js');

class TakvimAvailableTimePickerViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(TakvimAvailableTimePickerViewConfig.prototype), json);
    model.table = tableConfig.TableConfig.decode(model.table);
    return model;
  }
}

exports.TakvimAvailableTimePickerViewConfig = TakvimAvailableTimePickerViewConfig;
